OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
NoCompSaveFilter Struct Reference

Filter without any compression. More...

Inheritance diagram for NoCompSaveFilter:

## Public Member Functions
| NoCompSaveFilter (SaveFilter *chain, byte compression_level)
| Initialise this filter.
void | Write (byte *buf, size_t size)
| Write a given number of bytes into the savegame.
Public Member Functions inherited from SaveFilter
| SaveFilter (SaveFilter *chain)
| Initialise this filter.
virtual | ~SaveFilter ()
| Make sure the writers are properly closed.
virtual void | Finish ()
| Prepare everything to finish writing the savegame.

## Additional Inherited Members
Data Fields inherited from SaveFilter
SaveFilter * | chain
| Chained to the (savegame) filters.

## Detailed Description

Filter without any compression.

Definition at line 2073 of file saveload.cpp.

## Constructor & Destructor Documentation

NoCompSaveFilter::NoCompSaveFilter | ( | SaveFilter * | chain,
|  | byte | compression_level
| ) |  |
| inline

Initialise this filter.

Parameters

  chain | The next filter in this chain.
  compression_level | The requested level of compression.

Definition at line 2079 of file saveload.cpp.

## Member Function Documentation

void NoCompSaveFilter::Write | ( | byte * | buf,
|  | size_t | len
| ) |  |
| inline virtual

Write a given number of bytes into the savegame.

Parameters

  buf | The bytes to write.
  len | The number of bytes to write.

Implements SaveFilter.

Definition at line 2083 of file saveload.cpp.

References SaveFilter::chain, and SaveFilter::Write().

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp